Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040489
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POS Hardware Managermajorhave not tried2019-03-29 08:572019-06-26 18:05
ReporteradrianromeroView Statuspublic 
Assigned Toadrianromero 
PrioritynormalResolutionopenFixed in Version
StatusnewFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget VersionRR19Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040489: Barcode type CODE39 does not work with javapos printers

DescriptionUsing the following code in a template does not work and only prints numbers, not letters:

      <barcode type="CODE39" position="left"><%= OB.UTIL.encodeXMLComponent(order.getScannableDocumentNo()) %></barcode>
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0110916)
hgbot (developer)
2019-03-29 09:57

Repository: erp/pmods/org.openbravo.retail.poshwmanager.sources
Changeset: 2e065131990da9c59b3362522911d58b94cdd882
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Fri Mar 29 08:59:31 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.poshwmanager.sources/rev/2e065131990da9c59b3362522911d58b94cdd882 [^]

Fixes issue 0040489: Barcode type CODE39 does not work with javapos printers

---
M project/src/com/openbravo/pos/printer/javapos/DevicePrinterJavaPOS.java
---
(0110918)
adrianromero (manager)
2019-03-29 10:03

Binaries:
https://code.openbravo.com/erp/pmods/org.openbravo.retail.poshwmanager/rev/6ea73357f327 [^]
(0110921)
adrianromero (manager)
2019-03-29 11:36

Backedout temporary

- Issue History
Date Modified Username Field Change
2019-03-29 08:57 adrianromero New Issue
2019-03-29 08:57 adrianromero Assigned To => adrianromero
2019-03-29 08:57 adrianromero Triggers an Emergency Pack => No
2019-03-29 09:57 hgbot Checkin
2019-03-29 09:57 hgbot Note Added: 0110916
2019-03-29 09:57 hgbot Status new => resolved
2019-03-29 09:57 hgbot Resolution open => fixed
2019-03-29 09:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.poshwmanager.sources/rev/2e065131990da9c59b3362522911d58b94cdd882 [^]
2019-03-29 10:03 adrianromero Note Added: 0110918
2019-03-29 11:36 adrianromero Note Added: 0110921
2019-03-29 11:36 adrianromero Status resolved => new
2019-03-29 11:36 adrianromero Resolution fixed => open
2019-04-01 15:36 shuehner Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.poshwmanager.sources/rev/2e065131990da9c59b3362522911d58b94cdd882 [^] =>
2019-04-01 15:36 shuehner Target Version RR19Q2 => RR19Q3
2019-06-26 18:05 marvintm Target Version RR19Q3 => RR19Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker